import * as $dara from '@darabonba/typescript';
import { ModifyReservedInstanceAttributeResponseBody } from "./ModifyReservedInstanceAttributeResponseBody";
export declare class ModifyReservedInstanceAttributeResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: ModifyReservedInstanceAttributeResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
